Subject: bug#1029: Literate Programming: Emacs Lisp and Noweb

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 29 Feb 2016 15:49:48 +1100

barry <[email-masked]> writes:

> Please find attached a tar file which includes a package I use to integrate
> Norman Ramsey's noweb literate programming tool and Emacs Lisp.

[...]

> The tools provided allow users to incorporate the noweb constructs directly
> into the emacs lisp source code itself, through a few simple functions
> (noweb-doc, noweb-chunk). The literate code with these functions may
> be compiled
> and run, with no performance penalty.

I don't feel that this is something that would belong in the Emacs core,
but it sounds like a nice package to have on one of the Emacs package
repositories.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no